#!/usr/bin/env python
"""
Copyright 2001-2002 Andrew Jones

This file is part of Pyzzle.

    Pyzzle is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Pyzzle is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Pyzzle; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

"""
import sys, os

sys.path.insert(0, 'enginecode')

import pyzzlemain
from pyzzlemain import *



def start():
    
    #these two lines are for error checking the pyzzle.exe file and sould be left commented out
    #sys.stdout = open('stdout.txt', 'w')
    #sys.stderr = open('stderr.txt', 'w')
    
    pyzzlemain.gamemain()

def setFirstSlide(slide):
    nodedata.FIRST_SLIDE = slide

def getVersion():
    return parameters.VERSION

if __name__ == '__start__': start()
